# Import users with unique usernames
langcode: en
status: true
dependencies: {  }
id: h4c_user
class: null
field_plugin_method: null
cck_plugin_method: null
migration_tags:
  - CSV
migration_group: h4c_user_import
label: 'H4C CSV User Migration'
source:
  plugin: csv
  path: 'public://migration/h4c_users_import.csv'
  header_row_count: 1
  keys:
    - id
  column_names:
    -
      id: Identifier
    -
      name: User-Name (non-machine)
    -
      email: Email
    - 
      prename: Prename
    -
      surname: Surname
    - 
      phone: Phone
    -
      real_name: Real Name
    -
      roles: User Roles
    - 
      created: Creation date
  delimiter: ','
  enclosure: '"'
process:
  name: 
    - 
      plugin: machine_name
      source: name
    -
      plugin: make_unique_entity_field
      entity_type: user
      field: name
  created: created
  status:
    plugin: default_value
    default_value: 1
  mail: email
  field_h4c_first_name: prename
  field_h4c_surname: surname
  field_h4c_phone_numbers: phone
  field_domain_access:
    plugin: default_value
    default_value: 'stadtwandler_org'
  field_domain_all_affiliates:
    plugin: default_value
    # Locations shall be available on all domains
    default_value: 1
destination:
  plugin: 'entity:user'
migration_dependencies: null
